"{ Package: 'exept:regression' }"

"{ NameSpace: RegressionTests }"

TestCase subclass:#TimeAndDateTest
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'tests-Regression'
!


!TimeAndDateTest class methodsFor:'others'!

version_CVS
    ^ '$Header$'
! !

!TimeAndDateTest methodsFor:'Testing'!

test_01_ReadingTimes

     self assert:(Time readFrom:'0:00'    ) = (Time hour:0 minute:0 second:0).
     self assert:(Time readFrom:'2:00'    ) = (Time hour:2 minute:0 second:0).     
     self assert:(Time readFrom:'12:00'   ) = (Time hour:12 minute:0 second:0).    
     self assert:(Time readFrom:'14:00'   ) = (Time hour:14 minute:0 second:0).    
     self assert:(Time readFrom:'23:00'   ) = (Time hour:23 minute:0 second:0).    
     self assert:(Time readFrom:'24:00'   ) = (Time hour:0 minute:0 second:0).    
     self assert:(Time readFrom:'2:30 am' ) = (Time hour:2 minute:30 second:0).    
     self assert:(Time readFrom:'2:30 pm' ) = (Time hour:14 minute:30 second:0).    
     self assert:(Time readFrom:'14'      ) = (Time hour:14 minute:0 second:0).
     self assert:(Time readFrom:'2 am'    ) = (Time hour:2 minute:0 second:0). 
     self assert:(Time readFrom:'2 pm'    ) = (Time hour:14 minute:0 second:0). 
     self assert:(Time readFrom:'12:05 pm') = (Time hour:12 minute:5 second:0).    
     self assert:(Time readFrom:'12:06 am') = (Time hour:0 minute:6 second:0).    

     self assert:(Time readFrom:'18:22:00') = (Time hour:18 minute:22 second:0).    
     self assert:(Time readFrom:'14:00:11') = (Time hour:14 minute:0 second:11).    
     self assert:(Time readFrom:'7:00:11' ) = (Time hour:7 minute:0 second:11).    
     self assert:(Time readFrom:'24:00:00') = (Time hour:0 minute:0 second:0).     
     self assert:(Time readFrom:'0:00:00' ) = (Time hour:0 minute:0 second:0).    
     self assert:(Time readFrom:'12:00:00') = (Time hour:12 minute:0 second:0).     
     self assert:(Time readFrom:'0:00:00' ) = (Time hour:0 minute:0 second:0).    
     self assert:(Time readFrom:'6:22:00 pm' ) = (Time hour:18 minute:22 second:0).  
     self assert:(Time readFrom:'2:00:11 pm' ) = (Time hour:14 minute:0 second:11). 
     self assert:(Time readFrom:'7:00:11 am' ) = (Time hour:7 minute:0 second:11). 
     self assert:(Time readFrom:'12:00:00 am') = (Time hour:0 minute:0 second:0).  
     self assert:(Time readFrom:'0:00:00 am' ) = (Time hour:0 minute:0 second:0). 
     self should:[ Time readFrom:'24:00:00 am' ] raise:TimeConversionError.
     self assert:(Time readFrom:'12:00:00 pm') = (Time hour:12 minute:0 second:0).  
     self assert:(Time readFrom:'0:00:00 pm' onError:'invalid') = 'invalid'.
     self should:[ Time readFrom:'24:00:00 pm' ] raise:TimeConversionError.  

    "
     self new test_01_Reading
    "
!

test_02_ReadingDates

     self assert:(Date 
                    readFrom:'2-may-2010'
                    printFormat:'%d-%shortMonthName-%y' 
                    language:'en' 
                    onError:[self error]
                  ) = (Date newDay:2 month:5 year:2010).

     self assert:(Date 
                    readFrom:'2-may-2010'
                    printFormat:'%d-%monthName-%y' 
                    language:'en' 
                    onError:[self error]
                  ) = (Date newDay:2 month:5 year:2010).

     self assert:(Date 
                    readFrom:'2-may-2010'
                    printFormat:'%d-%(shortMonthName)-%y' 
                    language:'en' 
                    onError:[self error]
                  ) = (Date newDay:2 month:5 year:2010).

     self assert:(Date 
                    readFrom:'2-may-2010'
                    printFormat:'%d-%(monthName)-%y' 
                    language:'en' 
                    onError:[self error]
                  ) = (Date newDay:2 month:5 year:2010).

     self assert:(Date 
                    readFrom:'2-5-2010'
                    printFormat:'%d-%m-%y' 
                    onError:[self error]
                  ) = (Date newDay:2 month:5 year:2010).

     self assert:(Date 
                    readFrom:'5/2/2010'
                    printFormat:'%m/%d/%y' 
                    onError:[self error]
                  ) = (Date newDay:2 month:5 year:2010).

     self assert:(Date 
                    readFrom:'2010-5-2'
                    printFormat:'%y-%m-%d' 
                    onError:[self error]
                  ) = (Date newDay:2 month:5 year:2010).

    "
     self new test_02_ReadingDates
    "
! !

!TimeAndDateTest class methodsFor:'documentation'!

version
    ^ '$Header$'
! !
